@Mindgrow

Как не сломать «react-scripts» установкой других пакетов?

Привет!

Использую react-scripts. У него все свои зависимости находятся внутри пакета. Внутри есть папка node_modules/react-scripts/node_modules, где находятся его собсвенные зависимости. В том числе и webpack определённой версии.

Бывает что устанавливаю какой-то пакет, который зачем-то тянет с собой свой вебпак, своей версии и устанавливает его в node_modules/webpack
При этом у react-scripts остаётся свой вебпак, но react-scripts уже перестаёт работать, ругаясь на вебпак не той версии в папке node_modules, который притянул другой пакет.

Вопрос в том, как мне устанавливать новые зависимости, чтобы они не перезатёрли зависимости react-scripts?
  • Вопрос задан
  • 18 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы